import {getGradeList,createIntegralProService} from '@/service/api/mallApi.js';
import cardTemp from '@/components/libs/cardTemp';
export default {
  components:{
    cardTemp
  },
  data() {
    return {
      form:{
        integralCost:0,
        cashCost:0,
        limitTimes:0,
        memberGrade:'',
        exchangeDateType:1,

        exchangeFixDate:['',''], // exchangeFixDateBegin // exchangeFixDateEnd,
        exchangeDateDayArr:[],
        exchangeDateWeekArr:[],
        limitTimeBegin:'',
        proShowStatus:1,
      },
      rules:{},
      memberGradeOptions:[],
      exchangeDateWeekOptions:[1,2,3,4,5,6,7],
      monthOptions:Array.from(Array(31), (v,k) =>k+1),
      sendChildData:{
        storeType:0,
        storeGroupIds:'',
        storeIds:[],
      },
      timeRange:['',''],
      isLimitTimes:false,
      editDisabled:false,
      infoDisabled:false,
    }
  },
  created () {
    this.getGradeList();
  },
  computed:{
    asideShow() {
      return this.$store.state.marketing.asideShow
    }
  },
  watch:{
    'form.limitTimes'(val) {
      this.isLimitTimes = (val > 0);
    },
  },
  methods:{
    //门店分组回执方法
    getSelectGroupData(val) {
      this.sendChildData.storeType = val.storeType || 0
      this.sendChildData.storeGroupIds = val.storeGroupIds || ''
      this.sendChildData.storeIds = val.storeIds || []
    },
    async getGradeList() {
      let res = await getGradeList();
      if (res.errorCode === 0) {
        this.memberGradeOptions = res.result || [];
      }
      console.log(res);
    },
    // 获取卡券组件回调的对象
    getCardActiveObjFun(val) {
      this.form.proName = val.cardName || '';
      console.log(val)
    },
    submit() {
      let params = {
        proName:'', // 商品名字，优惠券就是所选券的名字。
        proReferId:'', // 关联的卡券或者礼品
        proCategoryId:1, //礼品的分类
        proShowStatus:1, // 商品显示状态 1:上架状态就显示 2:兑换状态下显示
        integralCost:100,// 积分费用
        cashCost:1, // 现金费用，两位小数
        limitTimes:1,// 次数限制
        memberGrade:'', // 适用会员，多个，逗号拼接。
        exchangeDateType:1, // 兑换日期1:全部 2:固定日期 3:每月 4:每周
        exchangeFixDateBegin:'', // 兑换时间固定起始时间
        exchangeFixDateEnd:'', // 兑换时间固定结束时间
        proType:1, // 商品类型1优惠券，2礼品，3实物
        exchangeDateWeek:'', //兑换时间 每周哪几天 格式: 1,2,3,4,5,6,7
        exchangeTimeType:1, // 兑换时间类型 1:全部 2:部分时段
        timeZones: '',// 兑换时间段如：11:20-23:59#
        releaseType:1, // 布发状态 1立即 2定时
        limitTimeBegin:'', //上架时间 起始时间
        limitTimeEnd:'', // 下架时间 结束时间
        changeType:1, // 兑换方式1:微信兑换 2:快递发货 3:在线发货
        showStore:0, // 显示门店 0所有 1部分分组 2部分门店
        storeIds:'', // 选中的门店信息，多个逗号拼接
        giftImageUrls:'', // 礼品图片
        giftImageFiledCodes:'', // 礼品图片编码
        exchangeDateDay:'', // 兑换时间 每月哪几天 格式: 01,02,05,33,31
        virtualStock:0, //库存
      }
      createIntegralProService(params).then(res => {
        console.log(res);
      })
    }
  }
};
